diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_dependencies_dependents.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_dependencies_dependents.py
new file mode 100644
index 000000000..a38612163
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_dependencies_dependents.py
@@ -0,0 +1,82 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+import json
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils import server_utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as views_utils
+
+
+class ViewsDependeciesDependentsGetTestCase(BaseTestGenerator):
+    """This class will fetch dependenciey & dependents for
+    the view under schema node."""
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("view_dependecies_dependents",
+                                         views_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to fetch the view.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to fetch the view.")
+
+        # Create view
+        query = self.inventory_data['query']
+
+        self.view_name = "test_view_get_%s" % (str(uuid.uuid4())[1:8])
+
+        self.view_id = views_utils.create_view(self.server,
+                                               self.db_name,
+                                               self.schema_name,
+                                               self.view_name,
+                                               query)
+
+    def runTest(self):
+        """This function will fetch dependenciey & dependents for
+        the view/mview under schema node."""
+        if self.is_positive_test:
+            if self.is_dependent:
+                self.url = self.url + 'dependent/'
+                response = views_utils.api_get(self)
+            else:
+                self.url = self.url + 'dependency/'
+                response = views_utils.api_get(self)
+
+            utils.assert_status_code(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_msql.py
new file mode 100644
index 000000000..eb89117d5
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_msql.py
@@ -0,0 +1,90 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+import json
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils import server_utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as views_utils
+
+
+class ViewsGetMsqlTestCase(BaseTestGenerator):
+    """This class will fetch the modified view/mview sql under schema node."""
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("view_get_msql",
+                                         views_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to fetch the view.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to fetch the view.")
+
+        # Create view
+        query = self.inventory_data['query']
+
+        self.view_name = "test_view_get_%s" % (str(uuid.uuid4())[1:8])
+
+        self.view_id = views_utils.create_view(self.server,
+                                               self.db_name,
+                                               self.schema_name,
+                                               self.view_name,
+                                               query)
+
+    def runTest(self):
+        """This function will fetch the modified view/mview sql under
+        schema node."""
+
+        if self.is_positive_test:
+            url_encode_data = {"oid": self.view_id,
+                               "comment": self.data['comment']}
+
+            response = views_utils.api_get_msql(self, url_encode_data)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if 'view_id' in self.data:
+                # Non-existing view id
+                self.view_id = self.data["view_id"]
+                response = views_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_nodes.py
new file mode 100644
index 000000000..6f6e42ece
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get_nodes.py
@@ -0,0 +1,99 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+import json
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils import server_utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as views_utils
+
+
+class ViewsGetNodesTestCase(BaseTestGenerator):
+    """This class will fetch the view nodes under schema node."""
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("view_get_nodes",
+                                         views_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to fetch the view.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to fetch the view.")
+
+        # Create view
+        query = self.inventory_data['query']
+
+        self.view_name = "test_view_get_%s" % (str(uuid.uuid4())[1:8])
+
+        self.view_id = views_utils.create_view(self.server,
+                                               self.db_name,
+                                               self.schema_name,
+                                               self.view_name,
+                                               query)
+        # In case of multiple views
+        if self.is_list:
+            self.view_name_2 = "test_view_get_%s" % (str(uuid.uuid4())[1:8])
+            self.check_constraint_id_2 = views_utils.\
+                create_view(self.server, self.db_name, self.schema_name,
+                            self.view_name_2, query)
+
+    def runTest(self):
+        """This function will fetch the view/mview nodes under schema node."""
+        if self.is_positive_test:
+            if self.is_list:
+                response = views_utils.api_get(self, '')
+            else:
+                response = views_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = views_utils.api_get(self)
+            elif 'view_id' in self.data:
+                # Non-existing view/mview id
+                self.view_id = self.data["view_id"]
+                response = views_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
index 5a68040b6..f1af5797b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
@@ -23,38 +24,24 @@ from . import utils as views_utils
 
 class ViewsUpdateTestCase(BaseTestGenerator):
     """This class will update the view/mview under schema node."""
-    view_sql = "CREATE OR REPLACE VIEW %s.%s AS SELECT 'Hello World'; " \
-               "ALTER TABLE %s.%s OWNER TO %s"
-    m_view_sql = "CREATE MATERIALIZED VIEW %s.%s TABLESPACE pg_default AS " \
-                 "SELECT 'test_pgadmin' WITH NO DATA;ALTER TABLE %s.%s OWNER" \
-                 " TO %s"
-    scenarios = [
-        ('Update view under schema node', dict(
-            url='/browser/view/obj/',
-            view_name="test_view_put_%s" % (str(uuid.uuid4())[1:8]),
-            sql_query=view_sql)),
-        ('Update materialized view under schema node',
-         dict(url='/browser/mview/obj/',
-              view_name="test_mview_put_%s" % (str(uuid.uuid4())[1:8]),
-              sql_query=m_view_sql))
-    ]
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("view_put", views_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
         self.db_id = schema_info["db_id"]
-        server_response = server_utils.connect_server(self, self.server_id)
-
-        if server_response["data"]["version"] < 90300 and "mview" in self.url:
-            message = "Materialized Views are not supported by PG9.2 " \
-                      "and PPAS9.2 and below."
-            self.skipTest(message)
-
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to update a view.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -62,11 +49,18 @@ class ViewsUpdateTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to update a view.")
-        self.view_id = views_utils.create_view(self.server,
-                                               self.db_name,
-                                               self.schema_name,
-                                               self.sql_query,
+
+        query = self.inventory_data['query']
+
+        self.view_name = "test_view_update_%s" % (str(uuid.uuid4())[1:8])
+
+        self.view_id = views_utils.get_view_id(self.server, self.db_name,
                                                self.view_name)
+        if self.view_id is None:
+            self.view_id = views_utils.create_view(self.server,
+                                                   self.db_name,
+                                                   self.schema_name,
+                                                   self.view_name, query)
 
     def runTest(self):
         """This function will update the view/mview under schema node."""
@@ -74,17 +68,23 @@ class ViewsUpdateTestCase(BaseTestGenerator):
                                                 self.view_name)
         if not view_response:
             raise Exception("Could not find the view to update.")
-        data = {"id": self.view_id,
-                "comment": "This is test comment"
-                }
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}".format(self.url, utils.SERVER_GROUP,
-                                            self.server_id, self.db_id,
-                                            self.schema_id, self.view_id
-                                            ),
-            data=json.dumps(data),
-            follow_redirects=True)
-        self.assertEqual(response.status_code, 200)
+
+        self.data["oid"] = self.view_id
+
+        if self.is_positive_test:
+            response = views_utils.api_put(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = views_utils.api_put(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_sql.py
new file mode 100644
index 000000000..8d12b793c
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_sql.py
@@ -0,0 +1,119 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+import json
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils import server_utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as views_utils
+
+
+class ViewsSqlTestCase(BaseTestGenerator):
+    """This class will fetch the view/mview sql under schema node."""
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("view_sql", views_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+
+        # Check DB version
+        if "server_min_version" in self.data:
+            server_con = server_utils.connect_server(self, self.server_id)
+            if not server_con["info"] == "Server connected.":
+                raise Exception("Could not connect to server to check version")
+            if "type" in server_con["data"] and \
+                    server_con["data"]["type"] == "pg":
+                self.skipTest("Compound Triggers are not supported by PG.")
+            elif server_con["data"]["type"] == "ppas" \
+                and server_con["data"]["version"] < self.data[
+                    "server_min_version"]:
+                self.skipTest(self.data["skip_msg"])
+
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to fetch the view.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to fetch the view.")
+
+        # Create view
+        query = self.inventory_data['query']
+
+        self.view_name = "test_view_sql_%s" % (str(uuid.uuid4())[1:8])
+
+        self.view_id = views_utils.create_view(self.server,
+                                               self.db_name,
+                                               self.schema_name,
+                                               self.view_name,
+                                               query)
+
+        if hasattr(self, "trigger_fun_required"):
+            self.func_name = "trigger_func_get_%s" % str(uuid.uuid4())[1:8]
+            self.function_info = views_utils.\
+                create_trigger_function_with_trigger(self.server, self.db_name,
+                                                     self.schema_name,
+                                                     self.func_name)
+            self.trigger_name = \
+                "test_trigger_get_%s" % (str(uuid.uuid4())[1:8])
+            self.trigger_id = views_utils.create_trigger(self.server,
+                                                         self.db_name,
+                                                         self.schema_name,
+                                                         self.view_name,
+                                                         self.trigger_name,
+                                                         self.func_name,
+                                                         "a")
+
+    def runTest(self):
+        """This function will fetch the view/mview sql under schema node."""
+        if self.is_positive_test:
+            response = views_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = views_utils.api_get(self)
+            elif 'view_id' in self.data:
+                # Non-existing view id
+                self.view_id = self.data["view_id"]
+                response = views_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py
index a76a370a9..58f25e7d2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/utils.py
@@ -10,11 +10,150 @@
 
 import sys
 import traceback
+import os
+import json
 
 from regression.python_test_utils import test_utils as utils
+from urllib.parse import urlencode
 
+# Load test data from json file.
+CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
+with open(CURRENT_PATH + "/view_test_data.json") as data_file:
+    test_cases = json.load(data_file)
 
-def create_view(server, db_name, schema_name, sql_query, view_name):
+
+# api call methods
+def api_create(self):
+    return self.tester.post("{0}{1}/{2}/{3}/{4}/".
+                            format(self.url, utils.SERVER_GROUP,
+                                   self.server_id, self.db_id,
+                                   self.schema_id
+                                   ),
+                            data=json.dumps(self.data),
+                            content_type='html/json')
+
+
+def api_get(self, view_id=None):
+    if view_id is None:
+        view_id = self.view_id
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id, view_id),
+                           follow_redirects=True)
+
+
+def api_get_msql(self, url_encode_data):
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}?{6}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id, self.view_id,
+                                  urlencode(url_encode_data)),
+                           follow_redirects=True
+                           )
+
+
+def api_delete(self, view_id=None):
+    if view_id is None:
+        view_id = self.view_id
+    return self.tester.delete("{0}{1}/{2}/{3}/{4}/{5}".
+                              format(self.url, utils.SERVER_GROUP,
+                                     self.server_id, self.db_id,
+                                     self.schema_id, view_id),
+                              data=json.dumps(self.data),
+                              follow_redirects=True)
+
+
+def api_put(self):
+    return self.tester.put("{0}{1}/{2}/{3}/{4}/{5}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id, self.view_id),
+                           data=json.dumps(self.data),
+                           follow_redirects=True)
+
+
+def create_trigger_function_with_trigger(server, db_name, schema_name,
+                                         func_name):
+    """This function add the trigger function to schema"""
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'],
+                                             server['sslmode'])
+        pg_cursor = connection.cursor()
+        query = "CREATE FUNCTION " + schema_name + "." + func_name + \
+                "()" \
+                " RETURNS trigger LANGUAGE 'plpgsql' STABLE LEAKPROOF" \
+                " SECURITY DEFINER SET enable_sort=true AS $BODY$ BEGIN" \
+                " NULL; END; $BODY$"
+        pg_cursor.execute(query)
+        connection.commit()
+        # Get 'oid' from newly created function
+        pg_cursor.execute("SELECT pro.oid, pro.proname FROM"
+                          " pg_proc pro WHERE pro.proname='%s'" %
+                          func_name)
+        functions = pg_cursor.fetchone()
+        connection.close()
+        return functions
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def create_trigger(server, db_name, schema_name, table_name, trigger_name,
+                   trigger_func_name, trigger_func_arg=None):
+    """
+    This function creates a column under provided table.
+    :param server: server details
+    :type server: dict
+    :param db_name: database name
+    :type db_name: str
+    :param schema_name: schema name
+    :type schema_name: str
+    :param table_name: table name
+    :type table_name: str
+    :param trigger_name: trigger name
+    :type trigger_name: str
+    :param trigger_func_name: trigger function name
+    :type trigger_func_name: str
+    :return trigger_id: trigger id
+    :rtype: int
+    """
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'],
+                                             server['sslmode'])
+        old_isolation_level = connection.isolation_level
+        connection.set_isolation_level(0)
+        pg_cursor = connection.cursor()
+        query = "CREATE TRIGGER %s INSTEAD OF DELETE ON %s.%s FOR EACH ROW " \
+                "EXECUTE PROCEDURE %s.%s(%s)" % (trigger_name, schema_name,
+                                                 table_name, schema_name,
+                                                 trigger_func_name,
+                                                 trigger_func_arg)
+        pg_cursor.execute(query)
+        connection.set_isolation_level(old_isolation_level)
+        connection.commit()
+        pg_cursor.execute("SELECT oid FROM pg_trigger where tgname='%s'" %
+                          trigger_name)
+        trigger = pg_cursor.fetchone()
+        trigger_id = ''
+        if trigger:
+            trigger_id = trigger[0]
+        connection.close()
+        return trigger_id
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+        raise
+
+
+def create_view(server, db_name, schema_name, view_name, sql_query=None,
+                mview_index=None):
     """
     This function creates a table under provided schema.
     :param server: server details
@@ -40,8 +179,7 @@ def create_view(server, db_name, schema_name, sql_query, view_name):
         old_isolation_level = connection.isolation_level
         connection.set_isolation_level(0)
         pg_cursor = connection.cursor()
-        query = sql_query % (schema_name, view_name, schema_name, view_name,
-                             server['username'])
+        query = eval(sql_query)
         pg_cursor.execute(query)
         connection.set_isolation_level(old_isolation_level)
         connection.commit()
